Announcement Announcement Module
Collapse
No announcement yet.
Follow the guide to 'create-controller hello' but some errors when Resolving plugin. Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Follow the guide to 'create-controller hello' but some errors when Resolving plugin.

    Hello everyone,

    I am very happy to learn how to developed with grails.
    I follow the guide to install the grails, but when i try to make a example described in the guide, some error happened.

    grails create-app hello
    grails> create-controller hello
    | Resolving plugin JAR dependencies
    :: problems summary ::
    :::: ERRORS
    Server access Error: Connection timed out url=http://grails.org/plugins/grails-antlr/tags/RELEASE_2_7_6/antlr-2.7.6.pom
    Server access Error: Connection timed out url=http://grails.org/plugins/grails-antlr/tags/RELEASE_2_7_6/grails-antlr-2.7.6.jar
    Server access Error: Connection timed out url=http://repo.grails.org/grails/core/antlr/antlr/2.7.6/antlr-2.7.6.pom
    Server access Error: Connection timed out url=http://repo.grails.org/grails/core/antlr/antlr/2.7.6/antlr-2.7.6.jar
    Server access Error: Connection timed out url=http://repo1.maven.org/maven2/antlr/antlr/2.7.6/antlr-2.7.6.pom
    Server access Error: Connection timed out url=http://repo1.maven.org/maven2/antlr/antlr/2.7.6/antlr-2.7.6.jar
    | Error Failed to install plugin [hibernate-2.1.1]. Plugin has missing JAR dependencies.
    | Resolving plugin JAR dependencies...
    | Error Error running script create-controller hello: org.codehaus.groovy.grails.cli.ScriptExitException (Use --stacktrace to see the full trace)

    not sure why the error happened, is there any problem with my Grails environment?


    Thank you.

  • #2
    hi all,

    the problem has been solved by setting a proxy for grails.
    But i have another question,

    I could use grails console to create a grails project, create some controller and run by 'grails run-app' successfully.
    but when i try to developed with Eclipse(I have installed Groovy-Eclipse) with below link:
    http://groovy.codehaus.org/Eclipse+Plugin

    But when i create a groovy project in eclipse with existing project created by grails, it seems the compile has some problem. see below:

    Attachment

    please help.
    Thanks.
    Attached Files

    Comment


    • #3
      You should start a new thread for new questions. You need GGTS to have both Groovy and Grails support - download here: http://www.springsource.org/downloads/sts-ggts

      This forum doesn't get much traffic - you'll be better off if you sign up for the User list at http://grails.org/Mailing+Lists

      Comment

      Working...
      X